=== debian/changelog ===
ros-lunar-qt-gui-cpp (0.3.11-0stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 29 Aug 2018 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.10-0stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sun, 05 Aug 2018 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.9-0stretch) stretch; urgency=high

  * change included pluginlib header to avoid deprecation warning (#114 <https://github.com/ros-visualization/qt_gui_core/issues/114>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.8-0stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.7-0stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.6-0stretch) stretch; urgency=high

  * add missing run_depend on TinyXML (#100 <https://github.com/ros-visualization/qt_gui_core/issues/100>)
  * add TinyXML to target_link_libraries (#99 <https://github.com/ros-visualization/qt_gui_core/issues/99>)

 -- D. Hood <dhood@osrfoundation.org>  Thu, 03 Aug 2017 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.5-0stretch) stretch; urgency=high

  * find and depend on tinyxml, add missing tinyxml include (#96 <https://github.com/ros-visualization/qt_gui_core/issues/96>, #97 <https://github.com/ros-visualization/qt_gui_core/issues/97>)
  * fix relative import for Python3 (#89 <https://github.com/ros-visualization/qt_gui_core/pull/89>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.4-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.3-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.2-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.1-0stretch) stretch; urgency=high

  * more fixes for shiboken 2
  * add missing Qt include directories

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.3.0-0stretch) stretch; urgency=high

  * switch to Qt5 (#64 <https://github.com/ros-visualization/qt_gui_core/pull/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.30-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 30 Mar 2016 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.29-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.28-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 08 Jun 2015 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.27-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Apr 2015 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.26-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.25-0stretch) stretch; urgency=high

  * fix finding specific version of PythonLibs with CMake 3 (#45 <https://github.com/ros-visualization/qt_gui_core/issues/45>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.24-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.23-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.22-0stretch) stretch; urgency=high

  * add shutdown notification for plugin providers (#39 <https://github.com/ros-visualization/qt_gui_core/issues/39>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.21-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Feb 2014 08:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.20-0stretch) stretch; urgency=high

  * disable shiboken when version is detected which would segfault (#35 <https://github.com/ros-visualization/qt_gui_core/issues/35>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 19 Jan 2014 08:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.19-0stretch) stretch; urgency=high

  * use specific python version catkin has decided on
  * fix sip bindings when paths contain spaces (#33 <https://github.com/ros-visualization/qt_gui_core/issues/33>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.18-0stretch) stretch; urgency=high

  * improve startup time (#28 <https://github.com/ros-visualization/qt_gui_core/issues/28>)
  * disabled check for existance of library for cpp plugins
  * fix build on OS X with new version of SIP (#26 <https://github.com/ros-visualization/qt_gui_core/issues/26>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.17-0stretch) stretch; urgency=high

  * add PluginLoadError for know errors to avoid printing stacktraces (ros-visualization/rqt#85 <https://github.com/ros-visualization/rqt/issues/85>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.16-0stretch) stretch; urgency=high

  * make plugin resources relative to plugin.xml (instead of package.xml) (#16 <https://github.com/ros-visualization/qt_gui_core/issues/16>)
  * fix help provider

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.15-0stretch) stretch; urgency=high

  * revert changes to help_provider from 0.2.13

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Apr 2013 07:00:00 -0000

ros-lunar-qt-gui-cpp (0.2.14-0stretch) stretch; urgency=high




