=== debian/control ===
Source: ros-lunar-qt-gui-cpp
Section: misc
Priority: extra
Maintainer: D. Hood <dhood@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, pkg-config, qt5-qmake, qtbase5-dev, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-pluginlib (>= 1.9.23), ros-lunar-python-qt-binding (>= 0.3.0)
Homepage: http://ros.org/wiki/qt_gui_cpp
Standards-Version: 3.9.2

Package: ros-lunar-qt-gui-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-lunar-pluginlib (>= 1.9.23), ros-lunar-qt-gui (>= 0.3.0)
Description: qt_gui_cpp provides the foundation for C++-bindings for qt_gui and creates bindings for every generator available.
 At least one specific binding must be available in order to use C++-plugins.
